Skip to main content
`Ctrl`+`K`

# PetscViewerMatlabGetArray

Gets a variable from a `PETSCVIEWERMATLAB` viewer into an array

## Synopsis

    #include "petscviewer.h"
    #include "petscmat.h"
    PetscErrorCode PetscViewerMatlabGetArray(PetscViewer mfile, int m, int n, PetscScalar array[], const char *name)

Not Collective; only processor zero reads in the array

## Input Parameters

- mfile - the MATLAB file viewer

- m - the first dimensions of `array`

- n - the second dimensions of `array`

- array - the array (represented in one dimension), must of be length `m` * `n`

- name - the MATLAB name of `array`

## Note

Only reads in `array` values on processor 0.

## See Also

`PETSCVIEWERMATLAB`, `PetscViewerMatlabPutArray()`

## Level

advanced

## Location

src/sys/classes/viewer/impls/matlab/vmatlab.c

Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages